Collator::create
Collator::getErrorCode
Collator
PHP Manual

# Collator::getAttribute

# collator_get_attribute

(No version information available, might be only in CVS)

Collator::getAttribute -- collator_get_attribute — Get collation attribute value

### Description

Object oriented style

integer Collator::getAttribute ( integer `$attr` )

Procedural style

integer collator_get_attribute ( Collator `$coll` , integer `$attr` )

Get a value of an integer collator attribute.

### Parameters

`coll`

  Collator object.

`attr`

  Attribute to get value for.

### Return Values

Attribute value, or boolean `FALSE` on error.

### Examples

Example #1 collator_get_attribute() example

`<?php
$coll = collator_create( 'en_CA' );
$val = collator_get_attribute( $coll, Collator::NUMERIC_COLLATION );
if( $val === false )
{
// Handle error.
}
?>`

### See Also

- Collator constants
- collator_set_attribute()
- collator_get_strength()

Collator::create
Collator::getErrorCode
Collator
PHP Manual